# $Revision: 1.17.2.3 $, $Date: 2010/02/03 09:21:50 $
# TODO: split plugins by deps
Summary:	Audio-decoding framework library
Summary(pl):	Biblioteka szkieletu dekodowania dwiku
Name:		akode
Version:	2.0.1
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://www.kde-apps.org/content/files/30375-%{name}-%{version}.tar.bz2
# Source0-md5:	94a10e7729b20b669bc5c7721f62e162
Patch0:		%{name}-pulseaudio.patch
Patch1:		kde-ac260.patch
Patch2:		kde-ac260-lt.patch
Patch3:		kde-common-PLD.patch
Patch4:		akode-ffmpeg.patch
Patch5:		kde-am.patch
URL:		http://www.carewolf.com/akode/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.9-3.20050806.5
BuildRequires:	flac-devel >= 1.1.1
BuildRequires:	jack-audio-connection-kit-devel >= 0.90
BuildRequires:	faad2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libx264-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.2
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	speex-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio-decoding framework library.

%description -l pl
Biblioteka szkieletu dekodowania dwiku.

%package devel
Summary:	Header files for akode library
Summary(pl):	Pliki nagwkowe biblioteki akode
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Requires:	libstdc++-devel

%description devel
Header files for akode library.

%description devel -l pl
Pliki nagwkowe biblioteki akode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

USER_INCLUDES="-I%{_includedir}/speex" \
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-flac \
	--with-speex \
	--with-libmad \
	--with-libsamplerate \
	--with-jack \
	--with-pulseaudio \
	--with-ffmpeg \
	--with-oss \
	--with-alsa \
	--with-vorbis \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akodeplay
%attr(755,root,root) %{_libdir}/libakode.so.*.*.*
# plugins
%{_libdir}/libakode_alsa_sink.la
%attr(755,root,root) %{_libdir}/libakode_alsa_sink.so
%{_libdir}/libakode_ffmpeg_decoder.la
%attr(755,root,root) %{_libdir}/libakode_ffmpeg_decoder.so
%{_libdir}/libakode_jack_sink.la
%attr(755,root,root) %{_libdir}/libakode_jack_sink.so
%{_libdir}/libakode_mpc_decoder.la
%attr(755,root,root) %{_libdir}/libakode_mpc_decoder.so
%{_libdir}/libakode_mpeg_decoder.la
%attr(755,root,root) %{_libdir}/libakode_mpeg_decoder.so
%{_libdir}/libakode_oss_sink.la
%attr(755,root,root) %{_libdir}/libakode_oss_sink.so
%{_libdir}/libakode_polyp_sink.la
%attr(755,root,root) %{_libdir}/libakode_polyp_sink.so
%{_libdir}/libakode_src_resampler.la
%attr(755,root,root) %{_libdir}/libakode_src_resampler.so
%{_libdir}/libakode_xiph_decoder.la
%attr(755,root,root) %{_libdir}/libakode_xiph_decoder.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akode-config
%attr(755,root,root) %{_libdir}/libakode.so
%{_libdir}/libakode.la
%{_includedir}/akode

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: akode.spec,v $
Revision 1.17.2.3  2010/02/03 09:21:50  glen
- release 6

Revision 1.17.2.2  2007/01/26 16:55:46  glen
- add -am.patch; rel 5

Revision 1.17.2.1  2007/01/26 16:49:55  glen
- rel 4

Revision 1.17  2006/12/04 23:32:21  glen
- add kde-common-PLD.patch, akode-ffmpeg.patch; rel 3

Revision 1.16  2006/10/08 19:31:18  qboosh
- release 2

Revision 1.15  2006/10/08 19:30:41  qboosh
- call ldconfig in post/postun (pointed by Krzysztof Moscicki)

Revision 1.14  2006/09/19 10:41:26  pluto
- added kde-ac260/kde-ac260-lt patches.

Revision 1.13  2006/09/06 13:28:59  hawk
- updated to 2.0.1
- added patch to build against pulseaudio (new name for polypadio)

Revision 1.12  2006/09/05 13:42:57  hawk
- release 5

Revision 1.11  2006/06/17 10:46:15  hawk
- release 4

Revision 1.10  2006/06/12 09:03:53  maciek2w
- added missing BR
- STBR

Revision 1.9  2006/05/28 09:55:20  pluto
- release 3 for rebuild with new polypaudio soname (libpolyp-0.8.1.so.0).

Revision 1.8  2006/04/27 20:27:48  pluto
- release 2 for rebuild with polypaudio-0.8.

Revision 1.7  2006/03/28 22:47:46  glen
- tabs

Revision 1.6  2005/12/31 14:10:29  adgor
- 2.0 final

Revision 1.5  2005/12/31 10:34:24  pluto
- ffmpeg and speex support enabled.
- plugins' files split.

Revision 1.4  2005/11/14 20:12:50  qboosh
- cleaned up kdeisms, revised deps

Revision 1.3  2005/11/14 18:30:32  qboosh
- fixes bogus descs, 644 for .la

Revision 1.2  2005/11/13 20:37:23  arekm
- up to 2.0b3

Revision 1.1  2005/11/13 20:21:48  djurban
- forgot to commit this
